> For the complete documentation index, see [llms.txt](https://docs.zk.me/hub/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zk.me/hub/start/onboarding/integration/api/verify-zkobs.md).

# Verify zkOBS Status

{% hint style="info" %}
Before making any API requests, please refer to the [zkMe API](/hub/start/onboarding/integration/api.md#getting-started) section on the [zkMe API](/hub/start/onboarding/integration/api.md) page to obtain the necessary API access parameters.
{% endhint %}

## Get Users Accredited Investor Status Overview

Returns the verification status of the user for the following credential: [Proof-of-Accredited-Investor (PAI)](/hub/what/zkobs/zkpoai.md).&#x20;

{% tabs %}
{% tab title="Endpoint" %}

```ruby
POST https://agw.zk.me/zkseradmin/openapi/queryKycInfoByAddressForPoa
```

{% endtab %}

{% tab title="Request" %}

#### Request Body <a href="#parameters" id="parameters"></a>

```json
{
  "mchNo": "YourAppID" ,
  "apiKey": "YourApiKey",
  "programNo": "YourProgramNo", 
  "account": "walletAddress", // or email, or other unique identifiers
  "chainId": "YourChainID"
}
```

#### Fields Explanation <a href="#parameters" id="parameters"></a>

<table><thead><tr><th width="206">Name</th><th width="155">Type</th><th>Description</th></tr></thead><tbody><tr><td>mchNo</td><td>string</td><td>Same as AppID in the <a href="https://dashboard.zk.me/integration">Dashboard</a>.</td></tr><tr><td>apiKey</td><td>string</td><td>Your API Key.</td></tr><tr><td>programNo</td><td>string</td><td>Same as the programNo you pass for the SDK integration. </td></tr><tr><td>account</td><td>string</td><td>User's wallet address (recommended), email address, or other unique identifier</td></tr><tr><td>chainId</td><td>string</td><td><p>Same as the param chainId you pass for the SDK integration.</p><p></p><p>Currently supports Polygon (137) and Base (8453).</p></td></tr></tbody></table>

#### Supported Chain List

{% tabs %}
{% tab title="Mainnet" %}

| Chain Name      | zkMe Chain ID |
| --------------- | ------------- |
| Aptos           | aptos-1       |
| Arbitrum        | 42161         |
| Base            | 8453          |
| BNB Smart Chain | 56            |
| BounceBit       | 6001          |
| Ethereum        | 1             |
| Kaia            | 8217          |
| Manta           | 169           |
| Polygon         | 137           |
| Ronin           | 2020          |
| Solana          | solana        |
| TON             | ton           |
| {% endtab %}    |               |

{% tab title="Testnet" %}

| Chain Name                | zkMe Chain ID |
| ------------------------- | ------------- |
| Aptos Testnet             | aptos-2       |
| Plume Testnet             | 98864         |
| Scroll Sepolia Testnet    | 534351        |
| Sei Testnet               | atlantic-2    |
| ZetaChain Athens3 Testnet | 7001          |
| {% endtab %}              |               |
| {% endtabs %}             |               |
| {% endtab %}              |               |

{% tab title="Response" %}
**Sample Response**

```json
{
  "poaiCompletedTimeUnix":"...",
  "poaiStatus":"...",
  "ssiAddress":"...",
  "zkmeId":"...",
}
```

#### Fields Explanation <a href="#fields" id="fields"></a>

<table><thead><tr><th width="218">Name</th><th width="96">Type</th><th>Description</th></tr></thead><tbody><tr><td>poaiCompletedTimeUnix</td><td>string</td><td>Unix timestamp of the mint time of user completed the share data process and minted a SBT in SSI wallet.</td></tr><tr><td>poaiStatus</td><td>string</td><td><p>Return users' zkPoAI status, including 6 stages:</p><ul><li>Verification Started</li><li>﻿﻿Data Retrieved</li><li>ZKP Generated</li><li>SBT Minted</li><li><p>OnChain Minted</p><ul><li>Note: Only applicable to <a href="/hub/start/onboarding/zkkyc-levels.md#on-chain-mint-default">On-chain Mint</a> and <a href="/hub/start/onboarding/zkkyc-levels.md#on-chain-transactional">On-chain Transactional</a></li></ul></li><li>PoAI Passed (or PoAI Failed)</li></ul></td></tr><tr><td>ssiAddress</td><td>string</td><td>User's SSI wallet address</td></tr><tr><td>zkmeId</td><td>string</td><td>Return the zkMe id corresponding to the zkMe account linked to the provided address.</td></tr></tbody></table>
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.zk.me/hub/start/onboarding/integration/api/verify-zkobs.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
